<?php
/*
 * COMPARISON (http://www.comparison.jp/prod/)
 * Copyright (C) 2006 EWA
 */
require_once('CPRDEF.php');
require_once('DB.php');


#DBクラス
global $db;
$v_dns = 'mysql://'._DBUSER.':'._DBPASSWD.'@'._DBHOST.'/'._DBNAME;
$a_opt = array('debug'=>1);
$db =& DB::connect($v_dns,$a_opt);
if(DB::isError($db)){error_system(array(_MSG_ERROR_DBCONNECT,$db->getMessage()));}

#QUERY
function db_query($v_query,$q_data=FALSE,$b_exit=TRUE){
	global $db;
	
	if($q_data!==FALSE){
		
		#PREPARE
		$o_prepared = $db->prepare($v_query);
		if(PEAR::isError($o_prepared)){error_system(array(_MSG_ERROR_DBPREPARE,$o_prepared->getMessage()));}
		
		#CONVERT INTO ARRAY
		if(is_array($q_data)){
			$a_execdata=$q_data;
		}else{
			$a_execdata=array($q_data);
		}
		
		#EXECUTE
		$o_executed =& $db->execute($o_prepared,$a_execdata);
		
		#FREE
		#$db->freePrepared($o_prepared);
		
		if(PEAR::isError($o_executed)){
			
			#When failed, whether to exit or continue
			if($b_exit){
				error_system(array(_MSG_ERROR_DBPREPAREDQUERY,$o_executed->getMessage()));
			}else{
				warn_system(array(_MSG_ERROR_DBPREPAREDQUERY,$o_executed->getMessage()));
			}
		}
	}else{
		
		#EXECUTE
		$o_executed =& $db->query($v_query);
		if(PEAR::isError($o_executed)){

			#When failed, whether to exit or continue
			if($b_exit){
				error_system(array(_MSG_ERROR_DBQUERY,$o_executed->getMessage()));
			}else{
				warn_system(array(_MSG_ERROR_DBQUERY,$o_executed->getMessage()));
			}
		}
		
	}
	
	return $o_executed;
}

#FETCH ASSOC
function db_fetch_assoc($o_res){
	$a_data=array();
	while($a_data_t=$o_res->fetchRow(2)){
		$a_data[]=$a_data_t;}
	$o_res->free();
	return $a_data;
}

?>