<?php
/*
 * COMPARISON (http://www.comparison.jp/prod/)
 * Copyright (C) 2006 EWA
 */

require_once('CPRDEF.php');
require_once('CPRBASE.php');

class CPRDISP extends CPRBASE{
	
	function action_dispentry($v_eid=FALSE){
		global $o_smarty;
		
		if($v_eid===FALSE){$v_eid=getnumvals('eid');}
		
		$a_entry  = $this->get_entry($v_eid);
		$a_cat    = $this->select_cid($a_entry['ecat']);
		$a_parent = $this->select_cid($a_cat['cparent']);
		$a_topcat   = $this->select_cparent(0);
				
		$o_smarty->assign(array(
			'entry'  => $a_entry,
			'cat'    => $a_cat,
			'parent' => $a_parent,
			'topcat' => $a_topcat,
			'title'  => _SITETITLE,
			));
		return $o_smarty->fetch(_TMPL.'/entry.tmpl.html');
	}
	
	function action_dispcat($v_cid=FALSE){
		global $o_smarty;
		
		if($v_cid===FALSE){$v_cid=getnumvals('cid');}

		$a_cat      = $this->select_cid($v_cid);
		$a_children = $this->select_cparent($v_cid);
		$a_parent   = $this->select_cid($a_cat['cparent']);
		$a_related  = $this->select_cparent_related($a_cat['cparent'],$v_cid);
		$a_entries  = $this->get_catentries($v_cid);
		$a_topcat   = $this->select_cparent(0);

		$o_smarty->assign(array(
			'cat'         => $a_cat,
			'children'    => $a_children,
			'relatedcats' => $a_related,
			'catentries'  => $a_entries,
			'parent'      => $a_parent,
			'topcat'      => $a_topcat,
			'title'  => _SITETITLE,
			));
		return $o_smarty->fetch(_TMPL.'/cat.tmpl.html');
	}

	function action_disptop(){
		global $o_smarty;
		$a_topcats=$this->select_cparent(0);
		
		$v_count=0;
		$a_catlist=array();
		foreach($a_topcats as $a_topcat){
			$a_catlist[$v_count]=$a_topcat;
			$a_catlist[$v_count]['children']=$this->select_cparent($a_topcat['cid']);
			$v_count++;
		}

		$o_smarty->assign(array(
			'catlist' => $a_catlist,
			'dynamic' => _DYNAMIC,
			'title'  => _SITETITLE,
			));
		return $o_smarty->fetch(_TMPL.'/top.tmpl.html');
	}

	function action_build(){
		global $o_smarty;
		
		require_once('HTML/QuickForm.php');
		
		$o_form=new HTML_QuickForm('build','post',_BASEACTIONURL.'?action=build');
		$o_form->addElement('submit','submit','　実行　');
		
		if($o_form->validate()){
			
			#INDEX BUILD
			$v_indexhtml = $this->action_disptop();
			$o_file  = fopen(_OUTPUTDIR.'index.html','w');
			fwrite($o_file,$v_indexhtml,strlen($v_indexhtml));
			fclose($o_file);

			#CATEGORY BUILD
			$a_cats=$this->select_cat();
			foreach($a_cats as $a_cat){
				if(!file_exists(_OUTPUTDIR.$a_cat['cname_e'])){mkdir(_OUTPUTDIR.$a_cat['cname_e']);}

				$v_cathtml = $this->action_dispcat($a_cat['cid']);
				$o_file  = fopen(_OUTPUTDIR.$a_cat['cname_e'].'/index.html','w');
				fwrite($o_file,$v_cathtml,strlen($v_cathtml));
				fclose($o_file);
			}

			#ENTRY BUILD
			$a_entries=$this->get_entries();
			foreach($a_entries as $a_entry){
				$a_entrycat=$this->select_cid($a_entry['ecat']);

				$v_entryhtml = $this->action_dispentry($a_entry['eid']);
				$o_file  = fopen(_OUTPUTDIR.$a_entrycat['cname_e'].'/'.$a_entry['ename_e'].'.html','w');
				fwrite($o_file,$v_entryhtml,strlen($v_entryhtml));
				fclose($o_file);
			}
			redirect(_BASEACTIONURL.'?action=showentrylist');

		}else{
			$o_smarty->assign(array(
				'form'=>$o_form->tohtml()
				));
			$o_smarty->display('confirmbuild.tmpl.html');
			exit;
		}
	}
	
	#
	# SELECT
	#
	
	function get_catentries($v_cid){
		$a_query=$this->select_ecat($v_cid);
		
		#CONV INTO HTML
		for($i=0;isset($a_query[$i]);$i++){
			$a_query[$i]['edesc_l_c']=htmlconverter($a_query[$i]['edesc_l']);
		}
		return $a_query;
	}
	
	function get_entry($v_eid){
		$a_query=$this->select_eid($v_eid);
		$a_query['edesc_l_c']=htmlconverter($a_query['edesc_l']);
		return $a_query;
	}

	function get_entries(){
		$a_entries=$this->select_entry();
		for($i=0;isset($a_entries[$i]);$i++){
			$a_entries[$i]['edesc_l_c']=htmlconverter($a_entries[$i]['edesc_l']);
		}
		return $a_entries;
	}

}

?>
