<?php
/*
 * COMPARISON (http://www.comparison.jp/prod/)
 * Copyright (C) 2006 EWA
 */

#Redirect
function redirect($v_url){
	header('Location: ' . $v_url);
	exit;
}

#Get numeric values from post/get
function getnumvals($v_data){
	if(isset($_REQUEST[$v_data]) && is_numeric($_REQUEST[$v_data])){
		return $_REQUEST[$v_data];
	}else{
		return false;
	}
}

#Get numeric values from cookie
function getcookienum($v_data){
	if(isset($_COOKIE[$v_data]) && is_numeric($_COOKIE[$v_data])){
		return $_COOKIE[$v_data];
	}else{
		return false;
	}
}

#Get alphabet/numeric values from post/get
function getalphanumericvals($v_data){
	if(isset($_REQUEST[$v_data])){
		$v_target=undomagic($_REQUEST[$v_data]);
		if(preg_match('/^([A-Z]|[a-z]|[0-9])+$/',$v_target)){
			return $v_target;
		}else{
			return false;
		}
	}else{
		return false;
	}
}

#Get alphanumeric values from cookie
function getcookiealphanumeric($v_data){
	if(isset($_COOKIE[$v_data])){
		$v_target=undomagic($_COOKIE[$v_data]);
		if(preg_match('/^([A-Z]|[a-z]|[0-9])+$/',$v_target)){
			return $v_target;
		}else{
			return false;
		}
	}else{
		return false;
	}
}

#Undo magic quote
function undomagic($v_data) {
	if(get_magic_quotes_gpc()){
		return stripslashes($v_data);
	}else{
		return $v_data;
	}
}

#Converting into html
function htmlconverter($v_data){
	$v_rest = '<p>'.trim($v_data);
	$v_rest = preg_replace("/\r?\n\r?\n/",'</p><p>',$v_rest);
	$v_rest = preg_replace("/\r?\n/",'<br />',$v_rest);
	$v_rest .= "</p>";
	return $v_rest;
}
	


?>