<?php
/*
 * COMPARISON (http://www.comparison.jp/prod/)
 * Copyright (C) 2006 EWA
 */
require_once('libs/CPRDEF.php');
require_once('libs/CPRAUTH.php');

#AUTHENTICATION
$o_cprauth=new CPRAUTH();
$o_cprauth->doauth();

#ACTIONを取得
$v_action=getalphanumericvals('action');

#NEW
require_once('libs/CPRCAT.php');
$o_cprcat=new CPRCAT();

require_once('libs/CPRENTRY.php');
$o_cprentry=new CPRENTRY();

require_once('libs/CPRDISP.php');
$o_cprdisp=new CPRDISP();

#SWITCH
switch($v_action){
	
	##CAT

	case 'createcat':
		$o_cprcat->action_cat_new();
		break;
	case 'editcat':
		$o_cprcat->action_cat_edit();
		break;
	case 'delcat':
		$o_cprcat->action_cat_del();
		break;
	case 'showcatlist':
		$o_cprcat->action_cat_show();
		break;
	
	##ENTRY
	
	case 'createentry':
		$o_cprentry->action_entry_new();
		break;
	case 'editentry':
		$o_cprentry->action_entry_edit();
		break;
	case 'delentry':
		$o_cprentry->action_entry_del();
		break;
	case 'showentrylist':
		$o_cprentry->action_entry_show();
		break;

	##BUILD

	case 'build':
		$o_cprdisp->action_build();
		break;

	##MANAGEMENT

	case 'modacct':
		$o_cprauth->action_modacct();
		break;
	
	##AUTH
	case 'logout':
		$o_cprauth->action_logout();
		break;

	default:
		$o_cprentry->action_entry_show();
		break;
}

?>
