<?php
/*
 * COMPARISON (http://www.comparison.jp/prod/)
 * Copyright (C) 2006 EWA
 */

require_once('../libs/CPRDEF.php');
require_once('HTML/QuickForm.php');

$o_form=new HTML_QuickForm('install_db');
$o_form->addElement('submit','submit','　実行　');

if($o_form->validate()){
	install();
	print _MSG_COMP_DBCREATE;
	exit;
}else{
	print "DBインストールを実行します";
	print $o_form->tohtml();
	exit;
}

function install(){
	$v_query_cat='create table '._DBPREFIX.'cat (
	  `cid`         int(11)      auto_increment primary key,
	  `cname_j`     varchar(255) not null,
	  `cname_e`     varchar(255) not null,
	  `cdesc_s`     text,
	  `cdesc_l`     text,
	  `cparent`     int(11),
	  index(`cparent`)
	   )';
	
	$v_query_entry='create table '._DBPREFIX.'entry (
	  `eid`         int(11)      auto_increment primary key,
	  `ename_j`     varchar(255) not null,
	  `ename_e`     varchar(255) not null,
	  `etextlink`   text,
	  `eimagelink`  text,
	  `edesc_s`     text,
	  `edesc_l`     text,
	  `erating`     int(5),
	  `estar`       tinyint(2),
	  `elogo`       varchar(255),
	  `escreenshot` varchar(255),
	  `ecat`        int(11)      not null,
	  index(`ecat`)
	   )';
	
	$v_query_auth='create table '._DBPREFIX.'user (
      `uid`      int(11) primary key auto_increment,
      `uname`    varchar(50) not null,
      `upasswd`  varchar(42) not null,
      `ucookie`  varchar(42),
       index(uname),
       index(ucookie)
 	   )';

	db_query($v_query_cat);
	db_query($v_query_entry);
	
	db_query($v_query_auth);
	db_query('insert into '._DBPREFIX.'user (uname,upasswd) values("kyoto","'.sha1('kiyomizu').'")');

}

?>
